curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/workflow-templates/{template_key}/{version}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "active",
"schema": {},
"determinism_contract": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update workflow template
The updated template version.
PATCH
/
v1
/
workflow-templates
/
{template_key}
/
{version}
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/workflow-templates/{template_key}/{version}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "active",
"schema": {},
"determinism_contract": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
Request body
object
Response
object
Status codes
| Code | Meaning |
|---|---|
200 | The updated template version. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/workflow-templates/{template_key}/{version}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "active",
"schema": {},
"determinism_contract": {}
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"template_key": "string",
"version": 1,
"workflow_type": "string",
"runtime_target": "string",
"status": "pending",
"schema": {},
"determinism_contract": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026